task merge_info {
	File vcfInfo
	File mendelianInfo
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/merge_mendelian_vcfinfo.py -vcfInfo ${vcfInfo} -mendelianInfo ${mendelianInfo} -sample ${sample}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File all_info = "${sample}_mendelian_vcfInfo.vcf"
	}
}