import "./tasks/sister.wdl" as sister

workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File ref_dir
	String docker
	String fasta
	String cluster_config
	String disk_size

	scatter (quartet in inputSamples){
		call sister.sister as sister {
			input:
			LCL5_vcf=quartet[0],
			LCL6_vcf=quartet[1],
			LCL7_vcf=quartet[2],
			LCL8_vcf=quartet[3],
			ref_dir=ref_dir,
			LCL5_name=quartet[4],
			LCL6_name=quartet[5],
			LCL7_name=quartet[6],
			LCL8_name=quartet[7],
			fasta=fasta,
			family_name=quartet[8],
			docker=docker,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
}