task FinalResult {
	File extracted_info
	File annotated_txt
	String prefix = basename(annotated_txt,".mendelian.txt")
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/FinalResult2VCF.py -vcfInfo ${extracted_info} -mendelianInfo ${annotated_txt} -prefix ${prefix} -sample ${sample}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File benchmarking_calls = "${prefix}_benchmarking_calls.vcf"
		File all_info = "${prefix}_all_sample_information.vcf"
	}
}
